Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Kal El2

Lisp per scongelamento layer

Recommended Posts

Salve tutti, vorrei porre un problema che ho da un pò di tempo riguardante i layer nelle ultime versioni di AutoCAD.

Ho da sempre utilizzato un lisp che mi permetteva di scongelare uno ad uno in ordine cronologico i layer precedentemente congelati, lo trovo molto comodo perché mi evita di aprire la finestra di gestione dei layer, velocizzando di molto la re-visualizzazione dei layer.

Per chi non avesse capito il comando funziona così:

1) Congelo i layer 1, 2, 3, 5, 6 col comando "Layer, Congelamento layer" (CONGLAY)

2) Faccio le operazioni che mi servono

3) Tramite questo comando riaccendo in successione i layer precedentemente congelati in maniera cronologica dall'ultimo al primo: 6, 5, 3, 2, 1

Il lisp è questo:

"APSPEN.LISP"

Contenuto:

;PROGRAMMA IN COLLEGAMENTO A SPG.LSP PER RIACCENDERE

;PIANI SPENTI IN SUCCESSIONE L.I.F.O.

;FBI

(DEFUN C:APSPEN (/)

(SETQ PIACC (CAR PIASPEN)

PIASPEN (CDR PIASPEN));SETQ

(COMMAND "_.LAYER" "_T" PIACC "")

);DEFUN

Il mio problema è che nelle ultime versioni di AutoCAD questo lisp non funziona più.

Non c'è qualche "surrogato"? :-D

Grazie in anticipo a tutti.APSPEN.rar


Edited by Kal-El

Share this post


Link to post
Share on other sites

Il lisp va usato in abbinamento con SPG.LSP che evidentemente memorizza in una variabile i nomi dei layer congelati, se usi CONGLAY questi non vengono memorizzati per un successivo scongelamento.

Share this post


Link to post
Share on other sites

Se non lo trovi usa questo per congelare. :)


(defun C:CONLAY (/)

    (setq LAY (cdr (assoc 8 (entget (car (entsel "\nSelezionare un oggetto sul layer da congelare "))))))

    (if (/= LAY (getvar "clayer"))

	(progn

	    (if (/= PIASPEN nil)(setq PIASPEN (reverse (append (reverse PIASPEN) (list LAY)))))

	    (if (= PIASPEN nil) (setq PIASPEN (list LAY)))

	    (command "_LAYER" "_F" LAY "")

	)

    )


    (if (= LAY (getvar "clayer"))

	(progn

	    (alert "\nSelezionato un oggetto sul layer corrente")

	    (exit)

	)

    )    

)



Share this post


Link to post
Share on other sites

Il lisp va usato in abbinamento con SPG.LSP che evidentemente memorizza in una variabile i nomi dei layer congelati, se usi CONGLAY questi non vengono memorizzati per un successivo scongelamento.

Ho anche SPG.LSP, te lo posto.

SPG.rar

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...
Aspetta! x